CAN_PLAYER(1)

NAME
can_player - CAN data player 3.0.0+github

DESCRIPTION
usage: python -m can.player [-h] [-f LOG_FILE] [-v] [-c CHANNEL]

[-i {pcan,ixxat,socketcan_ctypes,kvaser,virtual,usb2can,vector,slcan,nican,socketcan,iscan,neovi,serial,socketcan_native}]
    [-b BITRATE] [--ignore-timestamps] [-g GAP] [-s SKIP] input-file

Replay CAN traffic.

  positional arguments:

input-file
    The file to replay. For supported types see can.LogReader.

  optional arguments:

-h, --help
    show this help message and exit

-f LOG_FILE, --file_name LOG_FILE
    Path and base log filename, for supported types see can.LogReader.

-v  Also print can frames to stdout. You can add several of these to enable debugging

-c CHANNEL, --channel CHANNEL
    Most backend interfaces require some sort of channel. For example with the serial interface the channel might be a rfcomm device: "/dev/rfcomm0" With the socketcan interfaces valid channel examples include: "can0", "vcan0"

-i {pcan,ixxat,socketcan_ctypes,kvaser,virtual,usb2can,vector,slcan,nican,socketcan,iscan,neovi,serial,socketcan_native}, --interface {pcan,ixxat,socketcan_ctypes,kvaser,virtual,usb2can,vector,slcan,nican,socketcan,iscan,neovi,serial,socketcan_native}
    Specify the backend CAN interface to use. If left blank, fall back to reading from configuration files.

-b BITRATE, --bitrate BITRATE
    Bitrate to use for the CAN bus.

--ignore-timestamps
    Ignore timestamps (send all frames immediately with minimum gap between frames)

-g GAP, --gap GAP
    <s> minimum time between replayed frames

-s SKIP, --skip SKIP
    <s> skip gaps greater than 's' seconds